---
updatedAt: 2026-06-29T11:55:18.000Z
agentTools:
  projectIndex: https://docs.biot-med.com/llms.txt
---

# Get Service User by ID

Get Service User by ID



Path Parameters:

| Parameter   |Type   | Mandatory| Description          | Example   |
|-------------|-------|----------|----------------------|-----------|
|id|string|true|Service User ID that needs to be fetched|3fa85f64-5717-4562-b3fc-2c963f66afa6|


This API requires **UMS_USERS_GET_SERVICE_USER_BY_ID** permission(s).



# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "BioT User Management Service",
    "description": "APIs document (version: 7.25.2)",
    "version": "7.25.2"
  },
  "servers": [
    {
      "url": "/ums"
    }
  ],
  "paths": {
    "/v2/services/{id}": {
      "get": {
        "tags": [
          "Service User API"
        ],
        "summary": "Get Service User by ID",
        "description": "Get Service User by ID\n\n\n\nPath Parameters:\n\n| Parameter   |Type   | Mandatory| Description          | Example   |\n|-------------|-------|----------|----------------------|-----------|\n|id|string|true|Service User ID that needs to be fetched|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n\n\nThis API requires **UMS_USERS_GET_SERVICE_USER_BY_ID** permission(s).\n\n",
        "operationId": "getServiceUserById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Service User ID that needs to be fetched",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          }
        ],
        "responses": {
          "200": {
            "description": "The below table describes the response parameters:\n\n| Parameter   |Type   |Description          | Example   |\n|-------------|-------|---------------------|-----------|\n|active|boolean|||\n|roleId|string|A UUID formatted string|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n|type|string| Values:INTERNAL_SERVICE,EXTERNAL_SERVICE||\n|ownerOrganizationId|string|A UUID formatted string|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n|name|string|||\n|accessTokenExpirationInMinutes|integer|||\n|secretKeyExpirationInMinutes|integer|The expiration applied to secret keys of this service user, in minutes. Affects only secret keys created from this point on. Once a secret key expires it can no longer be used to log in - it does not expire the service user itself. When not set, the secret keys of this service user never expire.||\n|id|string|||\n|secretKeys|array|||\n|secretKeys[index]|array|||\n|secretKeys[index].id|string|||\n|secretKeys[index].creationTime|string|||\n|secretKeys[index].expirationTime|string|The time this secret key expires, after which it can no longer be used to log in. Null when the secret key never expires. Secret keys that already expired are not returned at all.||\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetServiceUserV2Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Code : TOKEN_NOT_VALID, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Code : ACCESS_DENIED, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Code : SERVICE_USER_NOT_FOUND, Details: [id]",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Code : INTERNAL_SERVER_ERROR, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "504": {
            "description": "Code : GATEWAY_TIMEOUT, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "example": "EXAMPLE_CODE_ENTITY_NOT_FOUND"
          },
          "message": {
            "type": "string",
            "example": "Entity with id [00000000-0000-0000-0000-000000000000] not found"
          },
          "serviceName": {
            "type": "string",
            "example": "Device Service"
          },
          "traceId": {
            "type": "string",
            "example": "a07a7e532f3541d8"
          },
          "environment": {
            "type": "string",
            "example": "develop"
          },
          "details": {
            "type": "object",
            "additionalProperties": {}
          }
        }
      },
      "SecretKeyData": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "expirationTime": {
            "type": "string",
            "format": "date-time",
            "description": "The time this secret key expires, after which it can no longer be used to log in. Null when the secret key never expires. Secret keys that already expired are not returned at all."
          }
        },
        "required": [
          "id"
        ]
      },
      "GetServiceUserV2Response": {
        "type": "object",
        "properties": {
          "active": {
            "type": "boolean"
          },
          "roleId": {
            "type": "string",
            "format": "uuid",
            "description": "A UUID formatted string",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "type": {
            "type": "string",
            "enum": [
              "INTERNAL_SERVICE",
              "EXTERNAL_SERVICE"
            ]
          },
          "ownerOrganizationId": {
            "type": "string",
            "format": "uuid",
            "description": "A UUID formatted string",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "name": {
            "type": "string",
            "maxLength": 100,
            "minLength": 0
          },
          "accessTokenExpirationInMinutes": {
            "type": "integer",
            "format": "int32",
            "minimum": 1
          },
          "secretKeyExpirationInMinutes": {
            "type": "integer",
            "format": "int32",
            "description": "The expiration applied to secret keys of this service user, in minutes. Affects only secret keys created from this point on. Once a secret key expires it can no longer be used to log in - it does not expire the service user itself. When not set, the secret keys of this service user never expire.",
            "minimum": 1
          },
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "secretKeys": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SecretKeyData"
            }
          }
        },
        "required": [
          "id",
          "roleId",
          "type"
        ]
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```